Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.poi.ss.usermodel
Enum FontCharset

    java.lang.Object
      java.lang.Enum<FontCharset>
          org.apache.poi.ss.usermodel.FontCharset

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FontCharset>

    public enum FontCharset

extends java.lang.Enum<FontCharset>

Charset represents the basic set of characters associated with a font (that it can display), and corresponds to the ANSI codepage (8-bit or DBCS) of that character set used by a given language.

Author:
  Gisella Bronzetti

Enum Constant Summary
`ANSI`
`ARABIC`
`BALTIC`
`CHINESEBIG5`
`DEFAULT`
`EASTEUROPE`
`GB2312`
`GREEK`
`HANGEUL`
`HEBREW`
`JOHAB`
`MAC`
`OEM`
`RUSSIAN`
`SHIFTJIS`
`SYMBOL`
`THAI`
`TURKISH`
`VIETNAMESE`

Method Summary
`int` | `getValue()` Returns value of this charset
`static FontCharset` | `valueOf(int value)`
`static FontCharset` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FontCharset[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ANSI

    public static final FontCharset ANSI

### DEFAULT

    public static final FontCharset DEFAULT

### SYMBOL

    public static final FontCharset SYMBOL

### MAC

    public static final FontCharset MAC

### SHIFTJIS

    public static final FontCharset SHIFTJIS

### HANGEUL

    public static final FontCharset HANGEUL

### JOHAB

    public static final FontCharset JOHAB

### GB2312

    public static final FontCharset GB2312

### CHINESEBIG5

    public static final FontCharset CHINESEBIG5

### GREEK

    public static final FontCharset GREEK

### TURKISH

    public static final FontCharset TURKISH

### VIETNAMESE

    public static final FontCharset VIETNAMESE

### HEBREW

    public static final FontCharset HEBREW

### ARABIC

    public static final FontCharset ARABIC

### BALTIC

    public static final FontCharset BALTIC

### RUSSIAN

    public static final FontCharset RUSSIAN

### THAI

    public static final FontCharset THAI

### EASTEUROPE

    public static final FontCharset EASTEUROPE

### OEM

    public static final FontCharset OEM

Method Detail

### values

    public static FontCharset[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FontCharset c : FontCharset.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FontCharset valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

  Returns value of this charset

  Returns:
    value of this charset

### valueOf

    public static FontCharset valueOf(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.